Referências de Pagamento
Serviços para obtenção de referências de pagamento de impostos e contribuições.
AT-PAYREF-IMI (Autoridade Tributária Referencia de Pagamento IMI)
serviceName: at-payref-imi
Retrieve payment references for IMI
Request Example
{
"serviceName": "at-payref-imi",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"paymentDocs": [
{
"documentId": "123456789",
"amount": 2643.64,
"paymentDueDate": "2024-05-31",
"situation": "4 - Paga",
"paymentReference": "123456789012345",
"numberOfBuildings": 2,
"year": "2023"
},
{
"documentId": "2345678901",
"amount": 2643.64,
"paymentDueDate": "2024-09-02",
"situation": "4 - Paga",
"paymentReference": "234567890123456",
"numberOfBuildings": 2,
"year": "2023"
},
{
"documentId": "3456789012",
"amount": 2643.68,
"paymentDueDate": "2024-11-30",
"situation": "1 - Pendente de Emissão",
"paymentReference": "345678901234567",
"numberOfBuildings": 2,
"year": "2023"
},
{
"documentId": "4567890123",
"amount": 7930.96,
"paymentDueDate": "2024-05-31",
"situation": "7 - Anulada",
"paymentReference": "456789012345678",
"numberOfBuildings": 2,
"year": "2023"
}
]
}
}AT-PAYREF-IRC (Autoridade Tributária Referencia de Pagamento IRC)
serviceName: at-payref-irc
Retrieve payment references for IRC
Request Example
{
"serviceName": "at-payref-irc",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"paymentDocs": [
{
"declarationId": "123456789",
"period": "2023",
"documentId": "123456789012345",
"fiscalId": "123456788 - COMPANY NAME",
"amount": 5000.5,
"paymentReference": "111.222.333.444.555",
"paymentCertification": "123456789012345678901234567"
}
]
},
"files": [
"<base64EncodedFile>"
]
}AT-PAYREF-IRS (Autoridade Tributária Referencia de Pagamento IRS)
serviceName: at-payref-irs
Retrieve payment references for IRS
Request Example
{
"serviceName": "at-payref-irs",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"currentPaymentDocs": [
{
"service": "IRS",
"documentId": "DOC123456",
"paymentReference": "123 456 789 012",
"amount": 148.22,
"paymentDueDate": "2025-08-31"
}
],
"missingPaymentDocs": [
{
"service": "IRS",
"documentId": "DOC345678",
"paymentReference": "123 456 789 012",
"amount": 148.22,
"paymentDueDate": "2022-08-31"
}
]
}
}AT-PAYREF-IUC (Autoridade Tributária Referencia de Pagamento IUC)
serviceName: at-payref-iuc
Retrieve payment references for IUC
Request Example
{
"serviceName": "at-payref-iuc",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"paymentDocs": [
{
"documentId": "MOCK_DOC_ID 123456789 de: 2099-12-31",
"fiscalId": "999999999 - MOCK COMPANY, LDA.",
"paymentDueDate": "2099-12-31",
"address": "MOCK STREET 123 MOCK CITY, 0000-000 MOCKLAND",
"paymentReference": "111 222 333 444 555",
"amount": 123.45
}
]
},
"files": [
"<base64EncodedFile>"
]
}AT-PAYREF-IVA (Autoridade Tributária Referencia de Pagamento IVA)
serviceName: at-payref-iva
Retrieve payment references for IVA
Request Example
{
"serviceName": "at-payref-iva",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"paymentDoc": {
"name": "COMPANY NAME, S.A.",
"address": "ADDRESS OF COMPANY N 6",
"city": "CITY",
"postalCode": "1234-123 CITY",
"nif": "123456788",
"period": "2024 / 07",
"declarationId": "123456789012",
"declarationDateTime": "2024-09-04 11:30:32",
"paymentReference": "123 456 789 123 456",
"opticalLine": "12 12345678 1 1 12345678901 1234",
"amount": 53567.12
}
},
"file": "<base64EncodedFile>"
}SS-PAYREF-TSU (Segurança Social Referencia de Pagamento TSU)
serviceName: ss-payref-tsu
Retrieve payment references for TSU
Request Example
{
"serviceName": "ss-payref-tsu",
"region": {
"countryPortal": "pt",
"jurisdictionCode": "pt"
},
"payload": {
"serviceRequestBody": {
"user": "test",
"password": "test"
}
}
}Response Example
{
"data": {
"paymentDocs": [
{
"documentId": "DOC123456",
"emissionDate": "2024-06-01",
"validityDate": "2024-07-01",
"emittedBy": "Mock Authority",
"niss": "12345678901",
"nif": "987654321",
"amount": 29784.64,
"iban": "PT50000201231234567890154",
"swift": "BESCPTPL",
"entity": "Mock Entity",
"paymentReference": "REF2024MOCK"
}
]
},
"files": [
"<base64EncodedFile>"
]
}